Andy+

DSM 6.0 upgrade says Sync not compatible

Recommended Posts

Unfortunately, the above method does not work with our Synology DS1813+ and the binary cannot be executed. If I only had known this I would have waited as long as it needs. But now every Sync download has to be postponed :(.

Share this post


Link to post
Share on other sites

@NotANumber That's strange. The issue was only touching ARM based architectures, while DS1813+ is cedarview and x64 based. I wonder if Sync generated any dumps in /volume1/? Should be looking like "@btsync.core"? Please send us dumps and logs if any.

Share this post


Link to post
Share on other sites

@NotANumber Also, one of a new security features in DSM 6.0 is disabling of admin account if it is using empty password. Admin account is used to run Sync - so it is also good point to check it.

Share this post


Link to post
Share on other sites

Where on /volume1/ should those dumps exactly be situated? If on the root level, than no, there are no dumps. Otherwise you’re right, the DS1813+ is a Cedarview model but still does not like to cooperate with DSM6 (had to be stopped before the upgrade, could not be executed afterwards, even after re-downloading and installing it).

But hold on, I just rebooted our Synology again (as two attached DX513 were not accessible) – and Sync COULD BE STARTED like before! So my apologies for the troubling message as it was clearly related to a side effect from the upgrade.
 

Sigh, too many updates/upgrades nowadays …

Share this post


Link to post
Share on other sites
On 3/18/2016 at 7:19 AM, RomanZ said:

@had-to-reregister @all Actually, there is an issue between DSM 6 and DSM 5. For certain platforms DSM6 require ARMHF build, while DSM5 requires ARMEL build for exactly same platform. We want to avoid making 2 flavors of package for every platform. Therefore all existing packages are being built with target of DSM5 (as DSM6 is still in beta).

If your package does not work well and Sync does not start on DSM6.0 - you'll have to manually replace Sync binary to ARMHF. Binary always stays in "/usr/local/bittorrentsync/bin/btsync" for all Syno devices.

I tried this on my DS1815+ with Avoton arch. and no go. Same error and no startup.

 

Waiting for update or perhaps a PM with a beta.

Share this post


Link to post
Share on other sites
On 9.3.2016 at 1:12 PM, RomanZ said:

@Peter1968 @JanNLD (and any other who experience segfault): what is your NAS model? Try logging in to SSH and replacing your Sync binary with this one. Let me know if it helps.

Hi RomanZ, I'm on DS414 with DSM 6.0final, and only the binary you posted above works.

Could start btsync using the DSM interface as well, did not need to change any init scripts (as @robingruyters suggested).

Please provide a package working out-of-the-box in the near future :) . I really like / need btsync.

Share this post


Link to post
Share on other sites

Hi There, this is my situation:

Installed DSM 6 on DS115j - Bittorrent Sync stopped working

Tried installation of BT Sync 2.3.5-1 failed using Armada 370 package bittorrentsync_armada370_2.3.5-1.spk

following the instructions found on

http://help.getsync.com/hc/en-us/articles/206215185-SynologyThe installations seems successful and I get the message "this package has been successfully updated".
 

btsync1.PNG

But when I try to start the package I get the error "failed to run the package service"

btsync2.PNG

Admin account is active with non-empty, strong password.

Contacted Synology official tech support - they answered to my ticket saying:

"We are sorry but BT Sync no longer works with DSM and we cannot say IF and WHEN it will work again".

I tried to start BT Sync manually from ssh, but I got an error message "SEGMENTATION FAULT".

btsync4.PNG


What should I try next? Here are the specs of my NAS.
 

btsync3.PNG

Edited by Carlogubi
Behavior with manual start under ssh - screenshot

Share this post


Link to post
Share on other sites

Also important to note is that you need to enable the "admin"-account. If it is enabled it will also say "Failed to run package service". I installed DSM6 and it did not work due to I did not use the admin-account.

Share this post


Link to post
Share on other sites

Hello 

It looks like I am a noob. I have DS215j and don't know where to find older versions to install?  
I heard 2.2.7 would work? Can somebody tell me where I can find these?

Second what is the cmd-like view some of you try to work in?

Greetz

Share this post


Link to post
Share on other sites
3 hours ago, uytemaf said:

Hello 

It looks like I am a noob. I have DS215j and don't know where to find older versions to install?  
I heard 2.2.7 would work? Can somebody tell me where I can find these?

Second what is the cmd-like view some of you try to work in?

Greetz

The "cmd-like view" is an SSH connection, that is an alternative way to access your NAS from a terminal client like putty or any other kind of SSH client.

SSH access must be activates from the control panel of DSM, for more information about SSH usage and connection please refer to Wikipedia, putty manual or other documentation sources among the thousands available online.

Share this post


Link to post
Share on other sites
On 24-3-2016 at 9:34 PM, Carlogubi said:

"We are sorry but BT Sync no longer works with DSM and we cannot say IF and WHEN it will work again".

Well, that is not a pleasant message... Can anyone of BTSync confirm the IF part of this message?

 

Share this post


Link to post
Share on other sites
13 hours ago, uytemaf said:

Hello 

It looks like I am a noob. I have DS215j and don't know where to find older versions to install?  
I heard 2.2.7 would work? Can somebody tell me where I can find these?

Second what is the cmd-like view some of you try to work in?

Greetz

Well you can just modify the URL, for example:

https://download-cdn.getsync.com/2.3.5/Synology/bittorrentsync_armadaxp_2.3.5-1.spk

becomes

https://download-cdn.getsync.com/2.2.7/Synology/bittorrentsync_armadaxp_2.2.7-1.spk

 

btw, on my 414, BTSync is working with version 2.2.7

Edited by Acumen
Extra info

Share this post


Link to post
Share on other sites
5 hours ago, Acumen said:

Well you can just modify the URL, for example:

https://download-cdn.getsync.com/2.3.5/Synology/bittorrentsync_armadaxp_2.3.5-1.spk

becomes

https://download-cdn.getsync.com/2.2.7/Synology/bittorrentsync_armadaxp_2.2.7-1.spk

 

btw, on my 414, BTSync is working with version 2.2.7

Thanks for the brilliant idea!!!!!

I did find the 2.2.7 version for my DS215j. I installed it and it works!!! 

Here is the link for the Synology DS215j
https://download-cdn.getsync.com/2.2.7/Synology/bittorrentsync_armada375_2.2.7-1.spk

 

Is there a way to backup all the links i have setup to sync to the NAS. Because it is all empty now and have to reconfigure all the sync tasks.

Share this post


Link to post
Share on other sites

I am missing something: what's the point in downloading older versions of BT Sync that are less reliable, with more bugs and more exposed to security flaws? This is a weak workaround that leaves the problem unchanged: before releasing new versions of DSM Synology must check that no package should be left behind, causing interruptions of service that could be annoying for the home users and potentially harmful for the business users that looked at Synology+BTSync as an affordable solutions for cheap and reliable private cloud for small size companies.

Share this post


Link to post
Share on other sites

@flypenguin

On 3/25/2016 at 7:58 PM, flypenguin said:

Please provide a package working out-of-the-box in the near future :) . I really like / need btsync.

->

Quote

If you guys are willing to help us adopting Sync to work on ArmadaXP / Armada370 platforms for DSM6.0 out of the box - please PM me.

@joeyvandijk

Admin account gets disabled on DSM6.0 only if your pass is empty.

@TinMan

This sounds to be different issue. Avoton uses x64 CPU, not ARM and should be working fine. If you are willing to help us getting this issue resolved - mail me, note this topic in message body.

Share this post


Link to post
Share on other sites

@Carlogubi @Acumen @uytemaf I suggest taking a look at our KB article dedicated to Synology NAS, it contains better workaround than downgrading to 2.2.7. In short, you need to get the ARMHF binary and replace it for ARMADA* architectures

Quote

Well, that is not a pleasant message... Can anyone of BTSync confirm the IF part of this message?

We plan to support DSM6.0 of course and are working with Synology engineers to get compatibility issues resolved. I can't claim ETA for now as resolution depends not only on Sync Team.

Share this post


Link to post
Share on other sites

Does DSM 6.0 and BTSync work on a DS1812+ which is cedarview & 64-bit?  This is holding back my upgrade, so I'd like an answer to this question.  Also, will I need to re-setup my folders, etc. if I install DSM 6.0?

Share this post


Link to post
Share on other sites

@uninexus Ideally, should work out of the box. Get package and install it.

Although, we've got reports that something goes wrong with Sync on DSM6 on avoton architecture. If you are willing to debug what happens on your NAS - give us a mail (mention this forum topic) and we'll guide you thru debugging process.

Share this post


Link to post
Share on other sites

@Bob_Collins We've got reports that Sync does not work on bromolow and avoton architectures under DSM6 control (though we don't know reasons at the moment and working to find it out). These platforms are also x64. I suspect that it might affect cedarview as well, though no confirmation for now.

Share this post


Link to post
Share on other sites

Hi

I just wanted to report that I upgraded my DS415+ (avoton) yesterday to DSM 6.0-7321 and Sync works.

I had Sync 2.3.5 installed before the upgrade. During the upgrade I got the warning about Sync not being supported, the upgrade was aborted and the system restarted still with DSM5. Then I went to package manager and stopped (not removed) Sync, and attempted the upgrade again. Upgrade went ok this time, restarted with DSM6, went to package manager, upgraded all pending packages, and then started Sync (was still there, stopped, hasn't disappeared). Sync has been working without problems since the upgrade.

For the record, my sync volume is in /volume2 and my admin account did have a password before the DSM upgrade. Haven't tried to upgrade to Sync 2.3.6 yet.

Regards

Share this post


Link to post
Share on other sites

@bisente Thanks for the feedback. Although, I've got confirmation from several community members in certain cases admin account gets disabled during upgrade even if it has password setup. No warning shown to end user.

Share this post


Link to post
Share on other sites

Hi,

For me and my DS112 (88f628x) :

  1. Stopped BT Sync
  2. Update DSM → 6.0
  3. Restarted the NAS
  4. Update manually BT Sync (DSM told me to update it)
  5. Sync is working

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.